Skip to main content
POST
Error

Path Parameters

resourceId
integer<int32>
required

: Integer ID of the Resource to update with an image

Body

: MultipartFormDataInput value with the image file information

Uploads an Image file for the Resource identified by System ID. Images are interpreted into Resource Image values. A valid image may be a PNG, JPG, TIFF, BMP or other valid image format.

The requesting user must have the following rights for this operation:

Note: The user must either be the SystemAdmin, or the user's HomeAccount must match the SYSID_Account of the Resource.

This operation requires an application/octet-stream HTTP attachment with appropriate Content-Disposition headers.

This operation returns a Resource Image value with the URL of the image hosted within the AgilQuest CDN.

Response

201 - application/json

ResourceImage

com.agilquest.phoenix.shared.data.resource.ResourceImage

defaultImage
boolean
required
height
integer<int32>
thumbnailSource
string
imageSource
string
displayOrder
integer<int32>
name
string
sysidResourceImage
integer<int32>
width
integer<int32>
description
string